
% 

function [mrna]=find_cytoband (mrna)
	
	% load start and end position for the cytoband
	[ch,cystart,cyend,cy,tmp]=textread('cytoBand.csv','%d%d%d%s%s','delimiter',',');	
	
	
	cyto={};
	for i=1:length(mrna.ch)
		ind=find(mrna.kbmidpos(i)>=cystart./1000 & mrna.kbmidpos(i)<=cyend./1000 & mrna.ch(i)==ch);
		switch length(ind)
		 case 0
		  cyto{i}={};
		 case 1
		  cyto{i}=[num2str(mrna.ch(i)),cy{ind}];
		 otherwise
		  %error('there are more then a single cytoband')
		  %keyboard
		  %cyto{i}=[num2str(mrna.ch(i)),cy{ind(1)}];
		end
	end
	
	mrna.cyto=cyto;
	
	
	
	
	