function p = hygecdf3(X,M,K,N)

[R,C] = size(X);

for r = 1:R;
    for c = 1:C;

        %init
        res = 1;
        pr = 0;
        i = X(r,c);
        k = K(r,c);
        n = N(r,c);
        m = M(r,c);

        %loop
        if i==0;
            pr=1;
        else
            pr = 1-hygecdf(i-1,m,k,n);
        end

        if pr<1e-6;
            pr=0;

            while res>0&i<=min(k,n)
                res = hygepdf(i,m,k,n);
                pr = pr + res;
                i = i + 1;
            end

        end
        p(r,c) = pr;

    end
end

