
% this is a more general the second part of file finalConvolutionSearchRelevantClone.m
% NB: mrna is a struct that contains the genes name and positions, it can
% have a data field if expression is given

function [generw,generwXch]=FindGenesInRelevantRegions_final (mrna,res)
	
	%
	% take the prior results
	rel=res.rel;
	l=res.rel.l;
	relevantW=res.relevantW;	
	relevantWch=res.relevantWch;
	param=res.param;
	utili=res.utili;
	
	generwXch={}; c=0;
	for i=1:length(relevantWch)
		ch=relevantWch(i);
		c=c+1;
		
% IF THE EXPRESSION DATA IS GIVEN ------------ not checked -------------------
		if ~isempty(mrna.data)
		%----------------------------------------------------------------
	
		        [generw] =Convolution_findRelevantGene3 (mrna,rel,l,relevantW,ch,param,utili);

			
			if ~isempty(generw.index)
				% find the cytoband ~~~~~~~~~~~~~~~~~~~~~~~~~
				rna=reduce_data('col',mrna,generw.index);
			%	cd /Users/carmen/work/ginepro/data/CGH/original 
			if  ~isfield (rna,'cyto')
			        [rna]=find_cytoband (rna);
			end
				param.datatype = 'cgh' ;
				%[thup,thdn]=get_th4CloneGene(cgh,param)
				thup=0.3; thdn=-0.3;
				[class1upc,class1dnc,class2upc,class2dnc]=get_UpDown_perclass (rel,l,thup,thdn);

				% recompute for the sake of saving the ttest of the relevant clones &
				% the median of the clones
				% COMPUTE THE TTEST2
				lu=unique(l);
				if size(lu)~=2 error('there are more then 2 classes!'); end
  
				class1=find(l==lu(1));
				class2=find(l==lu(2));
				PX=[];PY=[]; %T=[];
				X=rel.data(:,generw.relcloneindex);
				Y=rel.data(:,generw.bestrelcloneindex);
				for z=1:size(X,2)
					[h,px,ci,stats] = ttest2(X(class1,z),X(class2,z),0.05,0);
					[h,py,ci,stats] = ttest2(Y(class1,z),Y(class2,z),0.05,0);
					PX=[PX,px]; PY=[PY,py]; %T=[T,stats.tstat]; 
				end
				
				ttestclone=PX;  %C1(I(generw.relcloneindex));  % NBNBNB
				bestttestclone=PY; %C1(I(generw.bestrelcloneindex));
				indp1=find(l==1); 
				indp2=find(l==2);
				rel1=median(rel.data(indp1,:));
				rel2=median(rel.data(indp2,:));
				genes1=median(mrna.data(indp1,generw.index));
				genes2=median(mrna.data(indp2,generw.index));
				
				% SAVE RESULTS
				%keyboard
				if isfield(utili,'savedir')
					%eval(['cd ',utili.savedir]) % 
					savename=[utili.savedir,utili.name,'_delta0',num2str(round(res.SAMd*100)),'_ch',num2str(ch),'_',param.region,num2str(param.th),'_relevantgenes_',num2str(z),'.txt'];

					
bbwrite(savename,rna.gnames',rna.cyto',mrna.kbmidpos(generw.index)', ...
	genes1',genes2',...
	generw.pttest',generw.corr',generw.pcorr',generw.pttcorr', ...
	rel.gnames(generw.relcloneindex)', ...
	rel.kbmidpos(generw.relcloneindex)',generw.relclonedistance', ...
	ttestclone',...%rel.qSAM(generw.relcloneindex)',
        rel.NumWindows(generw.relcloneindex)',...
	rel1(generw.relcloneindex)', rel2(generw.relcloneindex)')%,...
	%class1upc(generw.relcloneindex)', class2upc(generw.relcloneindex)', ...
	%class1dnc(generw.relcloneindex)',class2dnc(generw.relcloneindex)',...
	%generw.pbestcorr',generw.pttbestcorr') ...
	%rel.gnames(generw.bestrelcloneindex)',rel.kbmidpos(generw.bestrelcloneindex)',...
	%generw.bestrelclonedistance',...
	%bestttestclone',rel.qSAM(generw.bestrelcloneindex)',rel.NumWindows(generw.bestrelcloneindex)',...
	%rel1(generw.bestrelcloneindex)',rel2(generw.bestrelcloneindex)',class1upc(generw.bestrelcloneindex)',class2upc(generw.bestrelcloneindex)',class1dnc(generw.bestrelcloneindex)',class2dnc(generw.bestrelcloneindex)');
				else
					fprintf ('WARNING: the genelist are not saved \n')
				end
			end
			
% IF THE EXPRESSION DATA IS *NOT* GIVEN -----------------------------------			
		else 
			[generw] =findGene_no_mRNA (mrna,rel,l,relevantW,ch,param,utili);

			if ~isempty(generw.index)
				% find the cytoband ~~~~~~~~~~~~~~~~~~~~~~~~~
				rna=reduce_data('col',mrna,generw.index);
			%	cd /Users/carmen/work/ginepro/data/CGH/original 
				[rna]=find_cytoband (rna);
				
				% SAVE RESULTS
				if isfield(utili,'savedir')
					eval(['cd ',utili.savedir]) % 
					savename=[utili.savedir,utili.cghname,'_delta0',num2str(round(res.SAMd*100)),'_ALLGENES_ch',num2str(ch),'_',param.region,num2str(param.numth),'_relevantgenes_',num2str(i),'.txt'];
	
bbwrite(savename,rna.gnames',rna.cyto',generw.gene_kbmidpos', ...
	generw.closestCloneName',generw.clone_kbmidpos',generw.gene_clone_distance',...
	generw.ttest_Clone',generw.pttest_Clone')
				else
					fprintf ('WARNING: the genelists are not saved \n')
				end
			end
			
		end
		generwXch{c}=generw;
		
	end
	
%bbwrite([utili.filename,'_ch',num2str(ch),'p0.005.txt'],rna.gnames(1:44)');

		
		